summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /x11-wm/echinus
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'x11-wm/echinus')
-rw-r--r--x11-wm/echinus/Manifest1
-rw-r--r--x11-wm/echinus/echinus-0.4.9.ebuild61
-rw-r--r--x11-wm/echinus/files/echinus-0.4.9-gentoo.diff68
-rw-r--r--x11-wm/echinus/files/echinus.desktop7
-rw-r--r--x11-wm/echinus/metadata.xml12
5 files changed, 149 insertions, 0 deletions
diff --git a/x11-wm/echinus/Manifest b/x11-wm/echinus/Manifest
new file mode 100644
index 00000000000..6dd02c92025
--- /dev/null
+++ b/x11-wm/echinus/Manifest
@@ -0,0 +1 @@
+DIST echinus-0.4.9.tar.gz 32934 SHA256 c57ac8f72845bea02bed0c27256b4023668ae7b41ae3c461d6e9b63e24914d94
diff --git a/x11-wm/echinus/echinus-0.4.9.ebuild b/x11-wm/echinus/echinus-0.4.9.ebuild
new file mode 100644
index 00000000000..32696f577ae
--- /dev/null
+++ b/x11-wm/echinus/echinus-0.4.9.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit eutils toolchain-funcs multilib
+
+DESCRIPTION="A window manager for X in the spirit of dwm"
+HOMEPAGE="http://plhk.ru/echinus"
+SRC_URI="http://plhk.ru/static/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="xrandr"
+
+RDEPEND="x11-libs/libX11
+ x11-libs/libXft
+ xrandr? ( x11-libs/libXrandr )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+DOCS=( README )
+
+pkg_setup() {
+ tc-export CC
+ use xrandr && export MULTIHEAD=1
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-gentoo.diff
+ sed -i -e "s|CONFDIR|/usr/share/${PN}|g" echinus.1 README || die
+ sed -i -e "s|/usr/lib|/usr/$(get_libdir)|g" config.mk || die
+}
+
+src_install() {
+ dobin ${PN}
+ doman ${PN}.1
+ dodoc README
+ insinto /usr/share/${PN}
+ doins {close,iconify,max}.xbm ${PN}rc
+ insinto /usr/share/xsessions
+ doins "${FILESDIR}"/${PN}.desktop
+}
+
+pkg_postinst() {
+ if ! has_version x11-misc/dmenu; then
+ elog "Installing ${PN} without x11-misc/dmenu"
+ elog "To have a menu you can install x11-misc/dmenu"
+ elog "and use \"Echinus*spawn\" in echinusrc"
+ elog "to launch dmenu_run. Check echinus documentation for details."
+ elog ""
+ fi
+ elog "A standard config file with its pixmaps has been installed to:"
+ elog "${EPREFIX}/usr/share/${PN}/examples"
+ elog "Copy this folder to ~/.${PN}/ and modify the echinusrc as you wish."
+ elog ""
+ elog "For changing the modkey you can use \"Echinus*modkey: X\""
+ elog "in echinusrc. Replace the X with A for ALT, W for Winkey (Super),"
+ elog "S for Shift or C for the Control key."
+}
diff --git a/x11-wm/echinus/files/echinus-0.4.9-gentoo.diff b/x11-wm/echinus/files/echinus-0.4.9-gentoo.diff
new file mode 100644
index 00000000000..75b8b48c121
--- /dev/null
+++ b/x11-wm/echinus/files/echinus-0.4.9-gentoo.diff
@@ -0,0 +1,68 @@
+--- a/config.mk
++++ b/config.mk
+@@ -4,10 +4,10 @@
+ # Customize below to fit your system
+
+ # paths
+-PREFIX?= /usr/local
++PREFIX?= /usr
+ BINPREFIX?= ${PREFIX}/bin
+ MANPREFIX?= ${PREFIX}/share/man
+-CONFPREFIX?= ${PREFIX}/share/examples
++CONFPREFIX?= ${PREFIX}/share/echinus
+ DOCPREFIX?= ${PREFIX}/share/doc
+ CONF?= ${CONFPREFIX}
+
+@@ -15,14 +15,13 @@
+ X11LIB?= /usr/X11R6/lib
+
+ # includes and libs
+-INCS = -I. -I/usr/include -I${X11INC} `pkg-config --cflags xft`
+-LIBS = -L/usr/lib -lc -L${X11LIB} -lX11 `pkg-config --libs xft`
+-
+-DEFS = -DVERSION=\"${VERSION}\" -DSYSCONFPATH=\"${CONF}\"
++CFLAGS += -I. -I/usr/include `pkg-config --cflags x11 xft`
++LIBS += -L/usr/lib -lc `pkg-config --libs x11 xft`
++CPPFLAGS += -DVERSION=\"${VERSION}\" -DSYSCONFPATH=\"${CONF}\"
+
+ # flags
+-CFLAGS = -Os ${INCS} ${DEFS}
+-LDFLAGS = -s ${LIBS}
++#CFLAGS = -Os ${INCS} ${DEFS}
++#LDFLAGS = -s ${LIBS}
+ # debug flags
+ #CFLAGS = -g3 -ggdb3 -std=c99 -pedantic -O0 ${INCS} -DDEBUG ${DEFS}
+ #LDFLAGS = -g3 -ggdb3 ${LIBS}
+@@ -35,9 +34,11 @@
+ #CFLAGS += -save-temps # Keep precompiler output (great for debugging).
+
+ # XRandr (multihead support). Comment out to disable.
+-CFLAGS += -DXRANDR=1
+-LIBS += -lXrandr
+-
++ifdef MULTIHEAD
++CPPFLAGS += -DXRANDR=1
++LIBS += `pkg-config --libs xrandr`
++CCFLAGS += `pkg-config --libs xrandr`
++endif
+ # Solaris
+ #CFLAGS = -fast ${INCS} -DVERSION=\"${VERSION}\"
+ #LDFLAGS = ${LIBS}
+--- a/Makefile
++++ b/Makefile
+@@ -19,13 +19,13 @@
+
+ .c.o:
+ @echo CC $<
+- @${CC} -c ${CFLAGS} $<
++ ${CC} ${CPPFLAGS} -c ${CFLAGS} $<
+
+ ${OBJ}: config.mk ${HEADERS}
+
+ echinus: ${OBJ} ${SRC} ${HEADERS}
+ @echo CC -o $@
+- @${CC} -o $@ ${OBJ} ${LDFLAGS}
++ ${CC} ${CFLAGS} ${LDFLAGS} -o $@ ${OBJ} ${LIBS}
+
+ clean:
+ @echo cleaning
diff --git a/x11-wm/echinus/files/echinus.desktop b/x11-wm/echinus/files/echinus.desktop
new file mode 100644
index 00000000000..7a13be918bf
--- /dev/null
+++ b/x11-wm/echinus/files/echinus.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=echinus
+Comment=echinus wm
+Exec=echinus
+TryExec=echinus
+Icon=
+Type=Application
diff --git a/x11-wm/echinus/metadata.xml b/x11-wm/echinus/metadata.xml
new file mode 100644
index 00000000000..bc2c871aba1
--- /dev/null
+++ b/x11-wm/echinus/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>proxy-maintainers</herd>
+ <maintainer>
+ <email>nico@lifeisabug.com</email>
+ <name>Nico R. Wohlgemuth</name>
+ </maintainer>
+ <use>
+ <flag name='xrandr'>Enable support for multihead configuration</flag>
+ </use>
+</pkgmetadata>